<template>
  <q-card>
    <q-card-section>
      <q-btn icon="delete" color="red" @click="deletereference" />
      <q-input label="Nama Perusahaan" v-model="reference.company_name" @input="updatereference" />
      <q-file label="Upload File Referensi" v-model="reference.file_reference" @input="updatereference" />
    </q-card-section>
  </q-card>
</template>

<script>
export default {
  name: 'FormProductReference',
  data () {
    return {
      reference: {
        year: {
          start: 0,
          end: 0,
        }
      }
    }
  },
  mounted() {
    this.reference = this.$attrs.reference;
    this.reference.index = this.$attrs.index;
  },

  methods: {
    deletereference: function () {
      this.$emit("deleteReference");
    },
    updatereference: function () {
      this.$emit("updateReference", this.reference)
    }
  }
}
</script>
